2004-12-23  Sven Neumann  <sven@gimp.org>

	* app/app-sections.txt: updated.

	* app/app-docs.sgml: fixed include.

2004-12-15  Simon Budig  <simon@gimp.org>

	* libgimp/tmpl/gimppaths.sgml: regenerated.

2004-12-14  Sven Neumann  <sven@gimp.org>

	* libgimpbase/libgimpbase-sections.txt
	* libgimpbase/tmpl/gimpversion.sgml: updated.

2004-12-14  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-sections.txt: updated.

	* libgimp/tmpl/gimpdrawable.sgml
	* libgimp/tmpl/gimppixbuf.sgml: regenerated.

2004-12-13  Sven Neumann  <sven@gimp.org>

	* */Makefile.am: simplified by including $(top_srcdir)/gtk-doc.make
	as installed by gtkdocize.

2004-12-13  Bill Skaggs <weskaggs@primate.ucdavis.edu>

	* parasites.txt: add info about "gfig" layer parasite.
	
2004-12-12  Sven Neumann  <sven@gimp.org>

	* app/app-sections.txt
	* libgimp/libgimp-sections.txt: updated for gimp_edit_copy_visible().

	* libgimp/tmpl/gimpedit.sgml: regenerated.

2004-12-11  Sven Neumann  <sven@gimp.org>

	* app/app-sections.txt: updated.

2004-11-24  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/Makefile.am (GTKDOC_CFLAGS): define
	GIMP_ENABLE_CONTROLLER_UNDER_CONSTRUCTION

	* libgimpwidgets/libgimpwidgets.types: #include
	<libgimpwidgets/gimpcontroller.h> separately.

2004-11-24  Sven Neumann  <sven@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt: updated.

2004-11-24  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/tmpl/gimpcontroller.sgml: regenerated.

	* libgimpwidgets/libgimpwidgets-docs.sgml: added note about the
	"work in progress" controller API.

2004-11-16  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpdrawabletransform.sgml: updated.

2004-11-14  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpstock.sgml: added new icons.

2004-11-10  Michael Natterer  <mitch@gimp.org>

	* libgimpbase/libgimpbase-sections.txt
	* libgimpbase/tmpl/gimputils.sgml: updated.

2004-11-08  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimplayer.sgml: added gimp_layer_from_mask()

	* libgimp/tmpl/gimpdrawabletransform.sgml
	* libgimp/tmpl/gimpregioniterator.sgml: gtk-doc insisted on
	changing these.

2004-11-08  Michael Natterer  <mitch@gimp.org>

	* libgimp/tmpl/gimpaspectpreview.sgml
	* libgimp/tmpl/gimpbrush.sgml
	* libgimp/tmpl/gimpbrushmenu.sgml
	* libgimp/tmpl/gimpbrushselect.sgml
	* libgimp/tmpl/gimpcontext.sgml
	* libgimp/tmpl/gimpdrawable.sgml
	* libgimp/tmpl/gimpdrawablecombobox.sgml
	* libgimp/tmpl/gimpdrawablepreview.sgml
	* libgimp/tmpl/gimpdrawabletransform.sgml
	* libgimp/tmpl/gimpfontmenu.sgml
	* libgimp/tmpl/gimpfontselect.sgml
	* libgimp/tmpl/gimpgradient.sgml
	* libgimp/tmpl/gimpgradientmenu.sgml
	* libgimp/tmpl/gimpgradientselect.sgml
	* libgimp/tmpl/gimpimage.sgml
	* libgimp/tmpl/gimpimagecombobox.sgml
	* libgimp/tmpl/gimplayer.sgml
	* libgimp/tmpl/gimppalette.sgml
	* libgimp/tmpl/gimppalettemenu.sgml
	* libgimp/tmpl/gimppalettes.sgml
	* libgimp/tmpl/gimppaletteselect.sgml
	* libgimp/tmpl/gimppaths.sgml
	* libgimp/tmpl/gimppattern.sgml
	* libgimp/tmpl/gimppatternmenu.sgml
	* libgimp/tmpl/gimppatternselect.sgml
	* libgimp/tmpl/gimppixbuf.sgml
	* libgimp/tmpl/gimppixelfetcher.sgml
	* libgimp/tmpl/gimpprogress.sgml
	* libgimp/tmpl/gimpprogressbar.sgml
	* libgimp/tmpl/gimpregioniterator.sgml
	* libgimpbase/tmpl/gimpbaseenums.sgml
	* libgimpbase/tmpl/gimpbasetypes.sgml
	* libgimpbase/tmpl/gimpchecks.sgml
	* libgimpbase/tmpl/gimpdatafiles.sgml
	* libgimpbase/tmpl/gimpmemsize.sgml
	* libgimpcolor/tmpl/gimpadaptivesupersample.sgml
	* libgimpcolor/tmpl/gimpcmyk.sgml
	* libgimpcolor/tmpl/gimphsv.sgml
	* libgimpcolor/tmpl/gimprgb.sgml
	* libgimpwidgets/tmpl/gimpcolorbutton.sgml
	* libgimpwidgets/tmpl/gimpcolorhexentry.sgml
	* libgimpwidgets/tmpl/gimpcolorselection.sgml
	* libgimpwidgets/tmpl/gimpframe.sgml
	* libgimpwidgets/tmpl/gimpintcombobox.sgml
	* libgimpwidgets/tmpl/gimpintstore.sgml
	* libgimpwidgets/tmpl/gimppatheditor.sgml
	* libgimpwidgets/tmpl/gimppreview.sgml
	* libgimpwidgets/tmpl/gimppreviewarea.sgml
	* libgimpwidgets/tmpl/gimpscrolledpreview.sgml: applied a heavily
	fixed and enhanced version of a patch from Cai Qian (bug #156271).
	Made long_desc = short_desc where we lacked a long_desc but had
	a short_desc. Removed unused parameters. Misc cleanups.

	* libgimp/libgimp-docs.sgml: added some <chapter>s. The list of
	libgimp modules was too long.

	* libgimpwidgets/libgimpwidgets-docs.sgml
	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/libgimpwidgets.types
	* libgimpwidgets/tmpl/gimpcontroller.sgml: added GimpController.

2004-11-04  Sven Neumann  <sven@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt
	* app/app.types: udpated.

2004-11-02  Michael Natterer  <mitch@gimp.org>

	* libgimp/tmpl/gimpdrawabletransform.sgml: regenerated.

2004-11-02  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-sections.txt
	* libgimpwidgets/libgimpwidgets-sections.txt: updated.

	* libgimp/tmpl/gimpcolor.sgml
	* libgimp/tmpl/gimpdrawabletransform.sgml
	* libgimp/tmpl/gimpimage.sgml
	* libgimpwidgets/tmpl/gimppreviewarea.sgml: regenerated.

2004-10-31  Sven Neumann  <sven@gimp.org>

	* libgimpbase/libgimpbase-sections.txt
	* libgimpbase/tmpl/gimpbasetypes.sgml
	* libgimpbase/tmpl/gimputils.sgml: updated.

2004-10-27  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-sections.txt: updated.
	* libgimp/tmpl/gimpdrawabletransform.sgml: regenerated.

2004-10-26  Sven Neumann  <sven@gimp.org>

	* libgimp/tmpl/gimpdrawabletransform.sgml: new file.

	* libgimp/libgimp-docs.sgml
	* libgimp/libgimp-sections.txt: updated.

	* libgimp/tmpl/gimpenums.sgml: regenerated.

2004-10-25  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-sections.txt: skip types for registered enums.

2004-10-23  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpdrawable.sgml: added gimp_drawable_mask_intersect().

2004-10-23  Sven Neumann  <sven@gimp.org>

	* libgimpthumb/libgimpthumb-sections.txt
	* libgimpthumb/tmpl/gimpthumbnail.sgml: updated.

2004-10-14  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt: added
	gimp_preview_set_default_cursor.

	* libgimpwidgets/tmpl/gimppreview.sgml: regenerated.

2004-10-13  Sven Neumann  <sven@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt
	* app/app.types: updated.

2004-10-10  Sven Neumann  <sven@gimp.org>

	* libgimpthumb/libgimpthumb-sections.txt
	* libgimpthumb/tmpl/gimpthumb-utils.sgml
	* libgimpthumb/tmpl/gimpthumbnail.sgml: updated for new API.

2004-10-06  Michael Natterer  <mitch@gimp.org>

	* libgimp/tmpl/gimpgradient.sgml: s/gimpgradientedit/gimpgradient/

2004-10-06  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpbrush.sgml
	* libgimp/tmpl/gimpgradient.sgml
	* libgimp/tmpl/gimppattern.sgml: updated.

2004-10-06  Sven Neumann  <sven@gimp.org>

	* libgimpmodule/libgimpmodule-sections.txt
	* libgimpmodule/tmpl/gimpmodule.sgml: added missing macro
	GIMP_MODULE_PARAM_SERIALIZE.

2004-10-05  Sven Neumann  <sven@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt
	* app/app.types: updated.

2004-09-30  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-sections.txt: moved stuff to right section.

	* libgimp/tmpl/gimppalettes.sgml
	* libgimp/tmpl/gimppaletteselect.sgml: regenerated.

2004-09-29  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-docs.sgml
	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpaspectpreview.sgml
	* libgimpwidgets/libgimpwidgets-docs.sgml
	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpstock.sgml: updated after preview changes.

	* libgimpwidgets/tmpl/gimpscrolledpreview.sgml: new file.

2004-09-29  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-docs.sgml
	* libgimp/libgimp-sections.txt
	* libgimp/libgimp.types: updated after brush, pattern etc. cleanup.

	* libgimp/tmpl/gimpgradientedit.sgml: removed.

	* libgimp/tmpl/gimpaspectpreview.sgml
	* libgimp/tmpl/gimpbrush.sgml
	* libgimp/tmpl/gimpgradient.sgml
	* libgimp/tmpl/gimppattern.sgml; new files.

	* libgimp/tmpl/gimpbrushes.sgml
	* libgimp/tmpl/gimpcontext.sgml
	* libgimp/tmpl/gimpgradients.sgml
	* libgimp/tmpl/gimppalette.sgml
	* libgimp/tmpl/gimppalettes.sgml
	* libgimp/tmpl/gimppatterns.sgml
	* libgimp/tmpl/gimpregioniterator.sgml: updated.

2004-09-24  Sven Neumann  <sven@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt: updated.

2004-09-23  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-docs.sgml
	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpbrushes.sgml
	* libgimp/tmpl/gimpcontext.sgml
	* libgimp/tmpl/gimppalettes.sgml
	* libgimp/tmpl/gimppatterns.sgml: updated for new context API.

2004-09-20  Michael Natterer  <mitch@gimp.org>

	* app/Makefile.am (GTKDOC_LIBS): removed same linker hacks
	as in app/Makefile.am.

2004-09-18  Sven Neumann  <sven@gimp.org>

	* app/Makefile.am (unused_symbols): synced with toplevel
	app/Makefile.am

	* app/app-docs.sgml
	* app/app-sections.txt: updated.

2004-09-14  Michael Natterer  <mitch@gimp.org>

	* app/Makefile.am
	* app/app-docs.sgml
	* app/app-sections.txt
	* app/app.types: updated for the remaining Preview -> View changes
	and the new app/dialogs/ module.

2004-09-10  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimppreview.sgml	
	* libgimpwidgets/tmpl/gimppreviewarea.sgml: updated for new
	preview APIs.

2004-09-07  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* devel-docs/libgimpwidgets/tmpl/gimppreviewarea.sgml: added new
	GimpPreviewArea functions.

2004-09-05  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpimage.sgml: added gimp_image_resize_to_layers().

2004-09-04  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimppreviewarea.sgml: added
	gimp_preview_area_menu_popup().

2004-09-03  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-sections.txt: added gimp_check_size() and
	gimp_check_type().

	* libgimp/tmpl/gimp.sgml: regenerated.

2004-09-03  Sven Neumann  <sven@gimp.org>

	* libgimpbase/libgimpbase-docs.sgml
	* libgimpbase/libgimpbase-sections.txt
	* libgimpbase/tmpl/gimpchecks.sgml
	* libgimpwidgets/tmpl/gimppreviewarea.sgml: updated.

2004-09-02  Sven Neumann  <sven@gimp.org>

	* libgimpbase/libgimpbase-sections.txt
	* libgimpbase/tmpl/gimpbaseenums.sgml: added GimpCheck[Size|Type]
	enums.

2004-09-01  Sven Neumann  <sven@gimp.org>

	* libgimp/tmpl/gimpprogressbar.sgml
	* libgimp/libgimp-docs.sgml
	* libgimp/libgimp-sections.txt
	* libgimp/libgimp.types
	* libgimp/tmpl/gimpdrawablepreview.sgml
	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimppreview.sgml: updated for GimpProgressBar
	and GimpPreview API changes.

2004-08-31  Sven Neumann  <sven@gimp.org>

	* libgimp/Makefile.am
	* libgimp/libgimp-docs.sgml
	* libgimp/libgimp-sections.txt
	* libgimp/libgimp.types
	* libgimp/tmpl/gimpdrawablepreview.sgml: updated for
	GimpDrawablePreview

	* libgimpwidgets/Makefile.am
	* libgimpwidgets/libgimpwidgets-include.c: removed this file, it
	isn't needed since libgimpwidgets doesn't need to be linked
	against libgimp.

	* libgimpwidgets/libgimpwidgets-docs.sgml
	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/libgimpwidgets.types
	* libgimpwidgets/tmpl/gimppreview.sgml: updated for GimpPreview.

2004-08-30  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpplugin.sgml
	* libgimp/tmpl/gimpprogress.sgml: moved remaining progress stuff
	from "Plug-In" to "Progress".

2004-08-30  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-docs.sgml
	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpprogress.sgml
	* libgimpbase/libgimpbase-sections.txt
	* libgimpbase/tmpl/gimpbaseenums.sgml: updated for new progress API.

2004-08-28  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpwidgets.sgml:
	added gimp_scale_entry_[get|set]_logarithmic().

2004-08-26  Michael Natterer  <mitch@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt
	* app/app.types: updated.

2004-08-25  Sven Neumann  <sven@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt
	* app/app.types: updated.

2004-08-11  Sven Neumann  <sven@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt
	* app/app.types: updated for new GimpProgress API.

2004-08-06  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpstock.sgml: added new stock icons.

2004-08-06  Sven Neumann  <sven@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt
	* app/app.types: updated.

2004-07-29  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpenums.sgml: updated.

	* libgimpbase/libgimpbase-docs.sgml
	* libgimpbase/libgimpbase-sections.txt
	* libgimpbase/tmpl/gimpbaseenums.sgml
	* libgimpbase/tmpl/gimpbasetypes.sgml
	* libgimpbase/tmpl/gimpdatafiles.sgml
	* libgimpbase/tmpl/gimputils.sgml: moved stuff around and updated
	for new enums and functions.

2004-07-27  Sven Neumann  <sven@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt
	* app/app.types: updated.

	* libgimpbase/libgimpbase-sections.txt
	* libgimpbase/tmpl/gimpmemsize.sgml
	* libgimpbase/tmpl/gimpunit.sgml
	* libgimpcolor/libgimpcolor-sections.txt
	* libgimpcolor/tmpl/gimprgb.sgml: minor improvements.

	* libgimpwidgets/libgimpwidgets-docs.sgml: moved cell renderers to
	a separate chapter.

2004-07-27  Sven Neumann  <sven@gimp.org>

	* libgimpbase/libgimpbase-docs.sgml
	* libgimpbase/libgimpbase-sections.txt
	* libgimpbase/tmpl/gimpmemsize.sgml
	* libgimpbase/tmpl/gimpunit.sgml
	* libgimpbase/tmpl/gimputils.sgml: added docs for new unit and
	memsize functions.

2004-07-27  Michael Natterer  <mitch@gimp.org>

	* libgimp/tmpl/gimppalettemenu.sgml
	* libgimp/tmpl/gimppaletteselect.sgml
	* libgimp/libgimp-docs.sgml
	* libgimp/libgimp-sections.txt: added the palette select stuff.

2004-07-26  Sven Neumann  <sven@gimp.org>

	* libgimpcolor/libgimpcolor-sections.txt
	* libgimpcolor/tmpl/gimprgb.sgml
	* libgimpwidgets/libgimpwidgets.types
	* libgimpwidgets/libgimpwidgets-docs.sgml
	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpcolorhexentry.sgml: updated for new API.

2004-07-22  Sven Neumann  <sven@gimp.org>

	* libgimpcolor/Makefile.am
	* libgimpcolor/gimprgb-parse.c
	* libgimpcolor/gimprgb.[ch]: added more RGB parsers and moved the
	code to a dedicated file.

	* libgimpcolor/gimpcolor.def: added new symbols.

	* libgimpwidgets/gimpcolorscales.c: use gimp_rgb_parse_hex().

2004-07-22  Sven Neumann  <sven@gimp.org>

	* libgimpcolor/libgimpcolor-sections.txt: added more RGB parsers.

	* libgimpcolor/tmpl/gimprgb.sgml: regenerated.

2004-07-22  Michael Natterer  <mitch@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt: updated after gimpgradient.c chopping.

2004-07-22  Sven Neumann  <sven@gimp.org>

	* libgimpcolor/libgimpcolor-sections.txt: added gimp_rgb_parse_name().

	* libgimpcolor/tmpl/gimprgb.sgml: regenerated.

2004-07-21  Michael Natterer  <mitch@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt
	* app/app.types: added GimpActionView and GimpCellRendererAccel.

2004-07-19  Michael Natterer  <mitch@gimp.org>

	* app/app-sections.txt: GimpPaintCoreState -> GimpPaintState.

2004-07-19  Michael Natterer  <mitch@gimp.org>

	* app-docs.sgml
	* app-sections.txt: more updates and cleanups.

2004-07-18  Sven Neumann  <sven@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt
	* app/app.types: updated after file dialog changes.

2004-07-15  Michael Natterer  <mitch@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt: more updates.

2004-07-15  Michael Natterer  <mitch@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt
	* app/app.types: updated and reviewed.

2004-07-13  Sven Neumann  <sven@gimp.org>

	* app/Makefile.am (unused_symbols): added
	file_open_location_dialog_show to make the scanner link again.

2004-07-07  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpstock.sgml: added new icons.

2004-07-05  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-docs.sgml: oops, gimpenums.xml used to be there
	already, don't include it twice. Added missing gimppalettes.xml.
	
2004-07-05  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-docs.sgml: include gimpenums.xml and gimppaths.xml.

2004-07-04  Sven Neumann  <sven@gimp.org>

	* libgimpmodule/libgimpmodule-sections.txt: added new function
	gimp_module_register_enum().

	* libgimpmodule/tmpl/gimpmodule.sgml: regenerated.

2004-06-21  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpwidgets.sgml:
	added gimp_label_set_attributes().

2004-06-02  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-sections.txt: follow function renaming.

	* libgimp/tmpl/gimpgradientedit.sgml: regenerated.

2004-06-02  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-docs.sgml
	* libgimp/tmpl/gimpgradientedit.sgml: added section for the new
	gradient editing API.

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpenums.sgml
	* libgimp/tmpl/gimpgradients.sgml
	* libgimp/tmpl/gimpplugin.sgml: updated.

2004-05-24  Michael Natterer  <mitch@gimp.org>

	* app/Makefile.am
	* app/app-docs.sgml
	* app/app-sections.txt: updated after moving around gimpcoords stuff.

2004-05-24  Michael Natterer  <mitch@gimp.org>

	* app/app-sections.txt: fixed docs for interfaces.

2004-05-24  Michael Natterer  <mitch@gimp.org>

	* app/Makefile.am
	* app/app-docs.sgml
	* app/app-sections.txt
	* app/app.types: updated to include the new actions/ and menus/
	directories. Lots of fixes and cleanups. Still stuff to do...

2004-05-18  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/tmpl/gimphelpui.sgml
	* libgimpwidgets/tmpl/gimpsizeentry.sgml: regenerated.

2004-05-14  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-sections.txt: added
	gimp_register_file_handler_mime().

	* libgimp/tmpl/gimpfileops.sgml: regenerated.

2004-05-13  Sven Neumann  <sven@gimp.org>

	* libgimpthumb/tmpl/gimpthumbnail.sgml: regenerated.

2004-05-12  Sven Neumann  <sven@gimp.org>

	* app/Makefile.am: make it compile again.

	* app/app-sections.txt
	* app/app.types: some minor updates, needs a lot more work.

2004-05-06  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-sections.txt: added gimp_plugin_menu_register().

	* libgimp/tmpl/gimpplugin.sgml: regenerated.

2004-05-05  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt: updated.

	* libgimpwidgets/tmpl/gimpframe.sgml
	* libgimpwidgets/tmpl/gimphelpui.sgml
	* libgimpwidgets/tmpl/gimpoffsetarea.sgml: regenerated.

2004-05-02  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-docs.sgml
	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/libgimpwidgets.types
	* libgimpwidgets/tmpl/gimpframe.sgml: added docs for GimpFrame.

	* */tmpl/*.sgml: regenerated using gtk-doc-tools version 1.2.

2004-04-30  Sven Neumann  <sven@gimp.org>

	* libgimpbase/libgimpbase-sections.txt
	* libgimpbase/tmpl/gimputils.sgml: added gimp_escape_uline().

2004-04-22  Sven Neumann  <sven@gimp.org>

	* libgimp/Makefile.am: specify --deprecated-guards.

2004-04-21  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpintcombobox.sgml: updated.

2004-04-21  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-docs.sgml
	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpdrawablecombobox.sgml
	* libgimp/tmpl/gimpimagecombobox.sgml
	* libgimp/tmpl/gimppixbuf.sgml: added docs for new functions.

2004-04-21  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt	
	* libgimpwidgets/tmpl/gimpintcombobox.sgml: added new functions
	gimp_int_combo_box_[prepend|append].

2004-04-20  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-docs.sgml
	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/libgimpwidgets.types
	* libgimpwidgets/tmpl/gimpintstore.sgml: added docs for GimpIntStore.

2004-04-20  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-docs.sgml
	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpoldwidgets.sgml
	* libgimpwidgets/tmpl/gimpwidgets.sgml: added a new chapter for
	deprecated API.

2004-04-20  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-docs.sgml
	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/libgimpwidgets.types
	* libgimpwidgets/tmpl/gimpintcombobox.sgml: added docs for the new
	GimpIntComboBox widget.

2004-04-19  Sven Neumann  <sven@gimp.org>

	* app/app-sections.txt: more updates (everything but the new actions).

2004-04-19  Sven Neumann  <sven@gimp.org>

	* app/Makefile.am
	* app/app-docs.sgml
	* app/app-sections.txt: merged update from stable branch.

2004-04-19  Sven Neumann  <sven@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt
	* app/app.types: updated, added new stuff, still incomplete...

2004-03-23  Sven Neumann  <sven@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt
	* app/app.types: updated.

2004-03-20  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimp.sgml: removed GimpParamColor.

2004-03-16  Michael Natterer  <mitch@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt
	* app/app.types: updated.

2004-03-13  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpdrawable.sgml
	* libgimp/tmpl/gimppixelfetcher.sgml: updated after
	GimpPixelFetcher changes.

2004-03-04  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpstock.sgml: updated.

2004-03-03  Michael Natterer  <mitch@gimp.org>

	* libgimpthumb/tmpl/gimpthumb-utils.sgml: updated.

2004-02-27  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/tmpl/gimpstock.sgml: added RTL variants of stock
	icons.

2004-02-25  Sven Neumann  <sven@gimp.org>

	* libgimpthumb/libgimpthumb-sections.txt
	* libgimpthumb/tmpl/gimpthumb-enums.sgml: updated.

2004-02-24  Sven Neumann  <sven@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt
	* app/app.types: updated.

2004-02-19  Sven Neumann  <sven@gimp.org>

	* app/app-sections.txt
	* app/app.types: updated.

2004-02-19  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpstock.sgml
	* libgimpwidgets/tmpl/gimpwidgets.sgml: updated.

2004-02-17  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimp.sgml: removed gimp_wm_name.

	* devel-docs/libgimpbase/tmpl/gimpprotocol.sgml: updated.

2004-02-14  Michael Natterer  <mitch@gimp.org>

	* app/app-sections.txt: updated.

2004-02-07  Michael Natterer  <mitch@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt: added gimpdisplayshell-draw.

2004-02-06  Sven Neumann  <sven@gimp.org>

	* app/app-sections.txt: updated.

2004-01-28  Michael Natterer  <mitch@gimp.org>

	* libgimpbase/tmpl/gimpdatafiles.sgml
	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimppatheditor.sgml: updated.

2004-01-27  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpstock.sgml: added the new icons.

2004-01-20  Sven Neumann  <sven@gimp.org>

	* libgimp/tmpl/gimphelp.sgml: updated.

2004-01-19  Sven Neumann  <sven@gimp.org>

	* libgimpbase/libgimpbase-sections.txt
	* libgimpbase/tmpl/gimpsignal.sgml: updated.

2004-01-19  Michael Natterer  <mitch@gimp.org>

	* app/app-sections.txt: updated.

2004-01-19  Sven Neumann  <sven@gimp.org>

	* libgimpbase/libgimpbase-sections.txt: added gimp_filename_to_utf8.

2004-01-13  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpenums.sgml: updated.

2004-01-12  Michael Natterer  <mitch@gimp.org>

	* libgimp/Makefile.am: don't skip "gimpmisc.h", it's gone.

	* libgimp/tmpl/gimppixelfetcher.sgml
	* libgimp/tmpl/gimpregioniterator.sgml: new files.

	* libgimp/libgimp-docs.sgml
	* libgimp/libgimp-sections.txt: added the new stuff.

2004-01-12  Sven Neumann  <sven@gimp.org>

	* libgimpbase/tmpl/gimpsignal.sgml: updated after removal of
	SA_RESTART for EMX.

2004-01-06  Sven Neumann  <sven@gimp.org>

	* app/app.types: added gimp_dash_editor_get_type.

	* app/app-docs.sgml: include xml/dasheditor.xml.

2004-01-06  Sven Neumann  <sven@gimp.org>

	* app/app-sections.txt: updated.

	* libgimpthumb/libgimpthumb-sections.txt
	* libgimpthumb/tmpl/gimpthumbnail.sgml: updated.

2004-01-06  Michael Natterer  <mitch@gimp.org>

	* libgimp/tmpl/gimpenums.sgml: regenerated.

2004-01-05  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-sections.txt: moved color_picker, blend and
	bucket_fill to their new places.

	* libgimp/tmpl/gimpedit.sgml
	* libgimp/tmpl/gimpimage.sgml
	* libgimp/tmpl/gimptools.sgml: regenerated.

2003-12-20  Sven Neumann  <sven@gimp.org>

	* app/app-docs.sgml
	* libgimpbase/libgimpbase-docs.sgml
	* libgimpcolor/libgimpcolor-docs.sgml
	* libgimpmath/libgimpmath-docs.sgml
	* libgimpmodule/libgimpmodule-docs.sgml
	* libgimpthumb/libgimpthumb-docs.sgml
	* libgimpwidgets/libgimpwidgets-docs.sgml: reverted the XInclude
	namespace update. xsltproc crashes if the new namespace URL is
	being used so we better continue to use the deprecated one until
	this is fixed.

2003-12-19  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpplugin.sgml
	* libgimp/tmpl/gimpproceduraldb.sgml: updated.

2003-12-18  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/tmpl/gimppatheditor.sgml
	* libgimpwidgets/tmpl/gimpunitmenu.sgml: removed signal
	documentation, it lives in the .c files now.

	* libgimpwidgets/tmpl/gimpwidgets.sgml: updated.

2003-12-16  Dave Neary  <bolsh@gimp.org>

	* */Makefile.am: Fixed syntax errors in makefiles. Oops.

2003-12-16  Dave Neary  <bolsh@gimp.org>

	* */Makefile.am: Fixed long-standing gtk-doc 
	problem caused by a problem with docbook-xml installations, 
	dodgy debian packages and suspect Makefile checks which 
	makes "make install" work even if some gtk docs aren't 
	correctly built.

2003-12-16  Sven Neumann  <sven@gimp.org>

	* app/Makefile.am: link against libgimpthumb.

	* app/app-sections.txt: updated.

	* app/app-docs.sgml
	* libgimpbase/libgimpbase-docs.sgml
	* libgimpcolor/libgimpcolor-docs.sgml
	* libgimpmath/libgimpmath-docs.sgml
	* libgimpmodule/libgimpmodule-docs.sgml
	* libgimpthumb/libgimpthumb-docs.sgml
	* libgimpwidgets/libgimpwidgets-docs.sgml: updated XInclude
	namespace URL.

2003-12-14  Sven Neumann  <sven@gimp.org>

	* libgimpthumb/libgimpthumb-docs.sgml
	* libgimpthumb/libgimpthumb-sections.txt
	* libgimpthumb/tmpl/gimpthumb-enums.sgml
	* libgimpthumb/tmpl/gimpthumb-error.sgml
	* libgimpthumb/tmpl/gimpthumb-utils.sgml
	* libgimpthumb/tmpl/gimpthumbnail.sgml: completed API docs for
	libgimpthumb.

2003-12-14  Sven Neumann  <sven@gimp.org>

	* libgimp/Makefile.am (IGNORE_HFILES): removed gimpmiscui.h.

2003-12-12  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimplayer.sgml: follow preserve_transparency removal.

2003-12-09  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpenums.sgml
	* libgimp/tmpl/gimpimage.sgml: added gimp_image_rotate().

2003-12-08  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpimage.sgml
	* libgimp/tmpl/gimplayer.sgml: follow layer mask API change.

2003-12-08  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpimage.sgml: updated.

2003-12-08  Sven Neumann  <sven@gimp.org>

	* Makefile.am: removed unnecessary stuff.

	* libgimpthumb/libgimpthumb-sections.txt
	* libgimpthumb/tmpl/gimpthumb-utils.sgml: updated.

2003-12-08  Sven Neumann  <sven@gimp.org>

	* Makefile.am
	* libgimpthumb/Makefile.am
	* libgimpthumb/libgimpthumb-docs.sgml
	* libgimpthumb/libgimpthumb-sections.txt
	* libgimpthumb/libgimpthumb.types
	* libgimpthumb/version.in
	* libgimpthumb/tmpl/gimpthumb-enums.sgml
	* libgimpthumb/tmpl/gimpthumb-error.sgml
	* libgimpthumb/tmpl/gimpthumb-utils.sgml
	* libgimpthumb/tmpl/gimpthumbnail.sgml: added framework for
	libgimpthumb documentation.

2003-12-05  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpimage.sgml
	* libgimp/tmpl/gimplayer.sgml: follow floating_sel cleanup.

2003-12-05  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpdrawable.sgml: s/drawable_bytes/drawable_bpp/.

2003-12-05  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpimage.sgml
	* libgimp/tmpl/gimpundo.sgml: follow undo API changes.

2003-12-04  Michael Natterer  <mitch@gimp>

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpconvert.sgml
	* libgimp/tmpl/gimpimage.sgml: follow gimp_image_convert_*() change.

2003-12-04  Michael Natterer  <mitch@gimp>

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimplayer.sgml: follow gimp_layer_get_mask() change.

2003-12-04  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpchannel.sgml
	* libgimp/tmpl/gimpdrawable.sgml
	* libgimp/tmpl/gimplayer.sgml: updated after
	gimp_drawable_get_image() cleanup.

2003-12-04  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpdrawable.sgml
	* libgimp/tmpl/gimplayer.sgml: "linked" moved from layer to drawable.

2003-12-03  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpchannel.sgml
	* libgimp/tmpl/gimpdrawable.sgml
	* libgimp/tmpl/gimplayer.sgml: updated again.

2003-12-03  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpchannel.sgml
	* libgimp/tmpl/gimpdrawable.sgml
	* libgimp/tmpl/gimplayer.sgml: updated.

2003-11-25  Sven Neumann  <sven@gimp.org>

	* libgimpbase/libgimpbase-sections.txt
	* libgimpbase/tmpl/gimplimits.sgml: added GIMP_MAX_MEMSIZE,
	documented all limits.

2003-11-23  Michael Natterer  <mitch@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt
	* app/app.types: added GimpColorDisplayEditor, updates.

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpcolordisplay.sgml: updated.

2003-11-22  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets-docs.sgml
	* libgimpwidgets.types: added it here too.

	* libgimpwidgets/tmpl/gimpcolordisplaystack.sgml: updated.

2003-11-22  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpcolordisplaystack.sgml: added docs for
	GimpColorDisplayStack.

2003-11-21  Sven Neumann  <sven@gimp.org>

	* app/app-sections.txt: updated.

2003-11-21  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/tmpl/gimpfileselection.sgml: removed.

	* libgimpwidgets/tmpl/gimpfileentry.sgml: added.

	* libgimpwidgets/libgimpwidgets-docs.sgml
	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/libgimpwidgets.types
	* libgimpwidgets/tmpl/gimpdialog.sgml
	* libgimpwidgets/tmpl/gimppatheditor.sgml: updated.

2003-11-19  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/tmpl/gimphelpui.sgml: updated.

2003-11-19  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/tmpl/gimpquerybox.sgml: updated.

2003-11-17  Sven Neumann  <sven@gimp.org>

	* libgimpcolor/libgimpcolor-sections.txt: 
	* libgimpcolor/tmp/gimprgb.sgml: documented GIMP_RGB_INTENSITY().

2003-11-17  Michael Natterer  <mitch@gimp.org>

	* app/Makefile.am: s/libgimp_glue.o/units.o/.

	* app/app-docs.sgml
	* app/app-sections.txt: updates and fixes.

2003-11-16  Michael Natterer  <mitch@gimp.org>

	* libgimp/Makefile.am: ignore "gimpunitcache.h".

	* libgimpbase/Makefile.am: ignore "gimpbase-private.h".

	* libgimpbase/tmpl/gimpunit.sgml: removed docs because the
	gimpunit.c file is in the right place to be parsed correctly now.

2003-11-15  Michael Natterer  <mitch@gimp.org>

	* libgimp/tmpl/gimpexport.sgml: updated after export change.

	* libgimp/tmpl/gimpgradientselect.sgml
	* libgimp/tmpl/gimphelp.sgml
	* libgimp/tmpl/gimpimage.sgml
	* libgimp/tmpl/gimplayer.sgml
	* libgimp/tmpl/gimpplugin.sgml: gtk-doc insisted on inserting some
	blank lines.

2003-11-15  Henrik Brix Andersen  <brix@gimp.org>

	* libgimpmath/tmpl/gimpmatrix.sgml
	* libgimpmath/tmpl/gimpvector.sgml
	* libgimpmath/tmpl/gimpmath.sgml: added descriptions

	* libgimpmath/libgimpmath-sections.txt: reordered functions

2003-11-15  Sven Neumann  <sven@gimp.org>

	* */tmpl/*.sgml: removed unused parameters.

2003-11-15  Sven Neumann  <sven@gimp.org>

	* app/Makefile.am (unused_symbols): use $SYMPREFIX as defined by
	the configure script.

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpwidgets.sgml: added new functions.

2003-11-14  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/Makefile.am: tell gtk-doc about
	GIMP_DISABLE_DEPRECATED.

	* libgimpwidgets/libgimpwidgets-sections.txt: added new functions.

	* libgimpwidgets/tmpl/gimpwidgets.sgml: removed outdated docs of
	deprecated functions.

2003-11-13  Sven Neumann  <sven@gimp.org>

	* app/app-sections.txt: updated.

2003-11-11  Sven Neumann  <sven@gimp.org>

	* app/Makefile.am (IGNORE_HFILES): removed
	gimpdisplayshell-marching-ants.h.
	
	* app/app-sections.txt
	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpgimprc.sgml
	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpcolorbutton.sgml
	* libgimpwidgets/tmpl/gimpdialog.sgml
	* libgimpwidgets/tmpl/gimpstock.sgml: updated.

2003-11-11  Sven Neumann  <sven@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt
	* app/app.types: updated.

2003-11-10  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/tmpl/gimpcolorselection.sgml: new template.

	* libgimpwidgets/libgimpwidgets-docs.sgml
	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/libgimpwidgets.types: updated.

2003-11-09  Sven Neumann  <sven@gimp.org>

	* README.gtkdoc: added some information on how to write proper
	gtk-doc comments.

2003-11-08  Sven Neumann  <sven@gimp.org>

	* */version.xml.in: renamed to version.in.

	* */*-docs.sgml: include the version number using XInclude.

2003-11-08  Michael Natterer  <mitch@gimp.org>

	* app/app-sections.txt
	* libgimpwidgets/tmpl/gimpquerybox.sgml: updated.

2003-11-08  Sven Neumann  <sven@gimp.org>

	* libgimpbase/libgimpbase-sections.txt
	* libgimpbase/tmpl/gimpprotocol.sgml: GIMP_PROTOCOL_VERSION.

2003-11-07  Sven Neumann  <sven@gimp.org>

	* app/app-docs.sgml
	* libgimp/libgimp-docs.sgml
	* libgimpbase/libgimpbase-docs.sgml
	* libgimpcolor/libgimpcolor-docs.sgml
	* libgimpmath/libgimpmath-docs.sgml
	* libgimpwidgets/libgimpwidgets-docs.sgml: specify encoding.

2003-11-07  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimp.sgml
	* libgimpbase/tmpl/gimpprotocol.sgml: updated.

2003-11-06  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpexport.sgml
	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpdialog.sgml: updated.

2003-11-05  Sven Neumann  <sven@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt
	* app/app.types: updated after removal of GimpFontSelection.

2003-11-01  Sven Neumann  <sven@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt
	* app/app.types: updated.

2003-10-27  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/tmpl/gimphelpui.sgml: regenerated.

2003-10-25  Sven Neumann  <sven@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt: updated.

2003-10-24  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpstock.sgml: added new icons.

2003-10-23  Sven Neumann  <sven@gimp.org>

	* app/app.types
	* app/app-docs.sgml
	* app/app-sections.txt: updated.

2003-10-21  Sven Neumann  <sven@gimp.org>

	* app/Makefile.am: fixed linker order.

	* app/app-docs.sgml
	* app/app-sections.txt: updated.

2003-10-19  Sven Neumann  <sven@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt: added new fonts UI functions.

2003-10-17  Sven Neumann  <sven@gimp.org>

	* libgimpbase/libgimpbase-sections.txt
	* libgimpbase/tmpl/gimputils.sgml: updated.

2003-10-16  Sven Neumann  <sven@gimp.org>

	* libgimpcolor/libgimpcolor-sections.txt
	* libgimpcolor/tmpl/gimpcolorspace.sgml: updated.

2003-10-15  Michael Natterer  <mitch@gimp.org>

	* app/app.types
	* app/app-docs.sgml
	* app/app-sections.txt: added GimpColorFrame stuff, updates.

2003-10-15  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpsizeentry.sgml: added new function.

2003-10-14  Sven Neumann  <sven@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt: updated.

2003-10-14  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/tmpl/gimpstock.sgml: added a missing icon.

2003-10-13  Michael Natterer  <mitch@gimp.org>

	* app/app-sections.txt: updated.

2003-10-12  Sven Neumann  <sven@gimp.org>

	* app/app-sections.txt: updated.

2003-10-11  Helvetix Victorinox  <helvetix@gimp.org>

	* libgimpcolor/tmpl/gimpcolorspace.sgml: Fixed typo: "convert"
	instead of "concert"

2003-10-11  Sven Neumann  <sven@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt
	* app/app.types: updated.

	* app/app.prerequisites: removed, it's a generated file.

2003-10-09  Sven Neumann  <sven@gimp.org>

	* app/app-sections.txt: updated.

2003-10-07  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-sections.txt 
	* libgimp/tmpl/gimplayer.sgml
	* libgimp/tmpl/gimppaths.sgml: updated.

2003-10-06  Michael Natterer  <mitch@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt: updated.

2003-10-06  Sven Neumann  <sven@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt: updated.

2003-10-02  Sven Neumann  <sven@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt: updated.

2003-10-01  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpsizeentry.sgml
	* libgimpwidgets/tmpl/gimpunitmenu.sgml: updated for new functions.

2003-09-30  Sven Neumann  <sven@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt
	* app/app.types: updated.

2003-09-28  Sven Neumann  <sven@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt
	* app/app.types: updated.

2003-09-28  Sven Neumann  <sven@gimp.org>

	* app/app-sections.txt: some smaller updates.

	* libgimpmath/libgimpmath-sections.txt
	* libgimpmath/tmpl/gimpvector.sgml: removed reference to
	nonexistant function gimp_vector2_new_val, added gimp_vector2_new.

2003-09-27  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpstock.sgml: added new icons.

2003-09-24  Sven Neumann  <sven@gimp.org>

	* app/Makefile.am
	* app/app-docs.sgml
	* app/app-sections.txt: udpated.

2003-09-21  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-docs.sgml: added a chapter id to
	get a reasonable name for the generated HTML file.

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpstock.sgml: added new icons.

2003-09-17  Sven Neumann  <sven@gimp.org>

	* app/Makefile.am: added another file to ignore, added -u hack to
	make the scan application link again.

	* app-sections.txt: updated.

2003-09-15  Michael Natterer  <mitch@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt: updated for recent core file moving.

2003-09-15  Sven Neumann  <sven@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt: updated.

2003-09-12  Sven Neumann  <sven@gimp.org>

	* libgimpmath/libgimpmath-sections.txt
	* libgimpmath/tmpl/gimpmatrix.sgml: updated for new function.

2003-09-11  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpstock.sgml: updated for new icon.

2003-09-09  Michael Natterer  <mitch@gimp.org>

	* app/app-docs.sgml: added IDs to all <chapter>s so they are
	generated with useful names instead of chxx.html.

2003-09-09  Michael Natterer  <mitch@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt: removed references to "appenv.h".

2003-09-09  Sven Neumann  <sven@gimp.org>

	* app/app-sections.txt: updated.

2003-09-08  Michael Natterer  <mitch@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.txt: even more cleanup. Put most stuff in
	<chapter>s so the main TOC has a reasonable size now.

2003-09-08  Sven Neumann  <sven@gimp.org>

	* README
	* README.gtkdoc
	* structure.xml: some updates.

2003-09-08  Sven Neumann  <sven@gimp.org>

	* app-docs.sgml
	* app-sections.txt: added some missing declarations.

2003-09-07  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-docs.sgml
	* libgimpbase/libgimpbase-docs.sgml
	* libgimpcolor/libgimpcolor-docs.sgml
	* libgimpmath/libgimpmath-docs.sgml	
	* libgimpmodule/libgimpmodule-docs.sgml	
	* libgimpwidgets/libgimpwidgets-docs.sgml: converted to use
	XInclude instead of entities.

2003-09-07  Michael Natterer  <mitch@gimp.org>

	* app/Makefile.am: ignore some more headers.

	* app/app-docs.sgml
	* app/app-sections.txt: lots of updates. Made <part>s out of the
	app/ subdirs and added sub-<chapter>s. The main TOC is way too
	crowded currently, will fix that later...

2003-09-07  Michael Natterer  <mitch@gimp.org>

	* app/Makefile.am: ignore paint-funcs-generic.h

	* app/app-docs.sgml
	* app/app-sections.txt: added all class typedefs, removed struct
	typedefs from the -types sections and removed all -types sections
	which were empty after that. Lots of updates.

2003-09-07  Sven Neumann  <sven@gimp.org>

	* app/Makefile.am
	* app/app-docs.sgml
	* app/app-sections.txt
	* app/app.types: some more updates.

2003-09-06  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpstock.sgml: updated for new icon.

2003-09-04  Sven Neumann  <sven@gimp.org>

	* libgimp/tmpl/gimpbrushes.sgml
	* libgimp/tmpl/gimpfonts.sgml
	* libgimp/tmpl/gimpgradients.sgml
	* libgimp/tmpl/gimppalettes.sgml
	* libgimp/tmpl/gimppatterns.sgml: updated after API change.

2003-09-04  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-docs.sgml
	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpfonts.sgml: added docs for new fonts API.

2003-09-03  Sven Neumann  <sven@gimp.org>

	* app/Makefile.am (IGNORE_HFILES): added some more files to ignore.

	* app/app.types
	* app/app-docs.sgml
	* app/app-sections.txt: some updates, a lot more are needed.

2003-09-03  Sven Neumann  <sven@gimp.org>

	* libgimpcolor/tmpl/gimpcolorspace.sgml: updated.

2003-08-31  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpcolor.sgml: updated for new PDB function.

2003-08-28  Sven Neumann  <sven@gimp.org>

	* app/app.interfaces: removed, it's a generated file.

2003-08-28  Michael Natterer  <mitch@gimp.org>

	* libgimp/tmpl/gimphelp.sgml
	* libgimp/tmpl/gimpplugin.sgml: regenerated.

2003-08-26  Sven Neumann  <sven@gimp.org>

	* libgimp/tmpl/gimpenums.sgml: updated GimpGradientType.

2003-08-23  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/libgimpwidgets.types: added missing
	GimpColorArea and GimpOffsetArea.

	* libgimpwidgets/tmpl/gimpcolorarea.sgml
	* libgimpwidgets/tmpl/gimpdialog.sgml
	* libgimpwidgets/tmpl/gimphelpui.sgml
	* libgimpwidgets/tmpl/gimpoffsetarea.sgml
	* libgimpwidgets/tmpl/gimpwidgets.sgml: regenerated.

2003-08-21  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpstock.sgml: updated for path tool icon
	change.

2003-08-19  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpstock.sgml: updated for new icons.

2003-08-18  Michael Natterer  <mitch@gimp.org>

	* app/app-docs.sgml: updated.

2003-08-18  Michael Natterer  <mitch@gimp.org>

	* libgimp/tmpl/gimpgradients.sgml: regenerated.

2003-08-11  Sven Neumann  <sven@gimp.org>

	* app/app-docs.sgml
	* app/app-sections.sgml: moved some sections around.

2003-08-09  Sven Neumann  <sven@gimp.org>

	* Makefile.am
	* app: added a first version of docs for the application. The
	templates are not yet in CVS and it's not built by default (and
	probably never will be).

2003-07-28  Sven Neumann  <sven@gimp.org>

	* libgimpbase/Makefile.am: exclude libgimbase/gimpwin32-io.h.

2003-07-25  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-docs.sgml: added object hierarchy,
	moved some chapters a level up and made them a part.

	* libgimpwidgets/tmpl/gimpcolorarea.sgml
	* libgimpwidgets/tmpl/gimpcolordisplay.sgml
	* libgimpwidgets/tmpl/gimpcolornotebook.sgml
	* libgimpwidgets/tmpl/gimpcolorscale.sgml
	* libgimpwidgets/tmpl/gimpcolorselector.sgml
	* libgimpwidgets/tmpl/gimpoffsetarea.sgml: added short
	descriptions.

	* libgimp/libgimp-sections.txt: removed GimpGradientPaintMode.

2003-07-22  Michael Natterer  <mitch@gimp.org>

	* libgimp/tmpl/gimpenums.sgml
	* libgimp/tmpl/gimptools.sgml: regenerated.

2003-07-20  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/tmpl/gimpcolornotebook.sgml: regenerated.

2003-07-14  Sven Neumann  <sven@gimp.org>

	* libgimpcolor/libgimpcolor-docs.sgml
	* libgimpcolor/libgimpcolor-sections.txt
	* libgimpcolor/tmpl/gimpcmyk.sgml
	* libgimpcolor/tmpl/gimpcolorspace.sgml
	* libgimpcolor/tmpl/gimphsv.sgml
	* libgimpcolor/tmpl/gimprgb.sgml: updated for new CMYK functions.

2003-07-10  Michael Natterer  <mitch@gimp.org>

	* includes.txt: s:libgimp/gimpintl.h:gimp-intl.h:

2003-07-09  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/libgimp-paths.sgml: updated.

2003-07-07  Sven Neumann  <sven@gimp.org>

	* libgimpmath/libgimpmath-sections.txt
	* libgimpmath/tmpl/gimpmatrix.sgml: updated.

2003-07-02  Michael Natterer  <mitch@gimp.org>

	* libgimpbase/tmpl/gimpbasetypes.sgml
	* libgimpbase/tmpl/gimpdatafiles.sgml: regenerated.

2003-07-01  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-docs.sgml
	* libgimp/libgimp-sections.txt: follow libgimp cleanup, moved the
	brush, font, gradient and pattern selection stuff to their own
	sections.

	* libgimp/tmpl/gimpfonts.sgml: removed.

	* libgimp/tmpl/gimpbrushmenu.sgml
	* libgimp/tmpl/gimpbrushselect.sgml
	* libgimp/tmpl/gimpfontmenu.sgml
	* libgimp/tmpl/gimpfontselect.sgml
	* libgimp/tmpl/gimpgradientmenu.sgml
	* libgimp/tmpl/gimpgradientselect.sgml
	* libgimp/tmpl/gimppatternmenu.sgml
	* libgimp/tmpl/gimppatternselect.sgml: new files.

	* libgimp/tmpl/gimpbrushes.sgml
	* libgimp/tmpl/gimpgradients.sgml
	* libgimp/tmpl/gimpmenu.sgml
	* libgimp/tmpl/gimppatterns.sgml: regenerated.

2003-06-19  Sven Neumann  <sven@gimp.org>

	* libgimp/tmpl/gimp.sgml: updated, removed unused parameters.

2003-06-19  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimp.sgml
	* libgimp/tmpl/gimptile.sgml: updated/regenerated.

2003-06-03  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpstock.sgml: added path and selection
	icons.

2003-05-25  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimp.sgml: removed set_gimp_PLUG_IN_INFO_PTR.

2003-05-23  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/Makefile.am: ignore libgimpwidgets-private.h

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpwidgets.sgml: removed docs for
	gimp_widgets_init().

2003-05-20  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpimage.sgml: added gimp_image_flip().

	* libgimpcolor/libgimpcolor-sections.txt
	* libgimpcolor/tmpl/gimpcolorspace.sgml: added GimpHSL and removed
	gimp_rgb_to_hsv_double and gimp_hsv_to_rgb_double.

2003-05-19  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpstock.sgml: added new flip and colorize
	icons.

2003-05-15  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-docs.sgml: added missing reference.

2003-04-11  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpstock.sgml: web and video icons.

2003-04-04  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpstock.sgml: landscape and portrait icons.

2003-04-04  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpstock.sgml: Jimmac keeps drawing icons
	like crazy.

2003-04-04  Michael Natterer  <mitch@gimp.org>

	* libgimpbase/libgimpbase-sections.txt
	* libgimpbase/tmpl/gimputils.sgml: added gimp_memsize_to_string()

2003-04-03  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpstock.sgml: even more icons.

2003-04-01  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpstock.sgml: more icons.

2003-03-28  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-docs.sgml
	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpfonts.sgml
	* libgimp/tmpl/gimpmenu.sgml: updated for new font selection API.

2003-03-27  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpstock.sgml: new icons and lots of new
	sizes for existing icons.

2003-03-24  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpstock.sgml: more new stock icons.

2003-03-22  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/tmpl/gimpstock.sgml: added new icons. Show icons
	in all available sizes.

2003-03-20  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets.types
	* libgimpwidgets/tmpl/gimpbutton.sgml
	* libgimpwidgets/tmpl/gimppickbutton.sgml: improved.

2003-03-15  Sven Neumann  <sven@gimp.org>

	* structure.xml: added short notes about all the top-level
	directories.

2003-03-14  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpstock.sgml
	* ibgimpwidgets/tmpl/gimpcolorarea.sgml: updated.
	
2003-03-06  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/Makefile.am
	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpstock.sgml: updated for new stock icons.

2003-03-02  Manish Singh  <yosh@gimp.org>

	* libgimpwidgets/tmpl/gimpcolordisplay.sgml
	* libgimpwidgets/tmpl/gimpcolorselector.sgml: fix typo.
	"definitiions" should be "definitions"

2003-03-02  Sven Neumann  <sven@gimp.org>

	* libgimpcolor/libgimpcolor-sections.txt
	* libgimpcolor/tmpl/gimpbilinear.sgml: updated.

2003-02-26  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/tmpl/gimpcolorscales.sgml
	* libgimpwidgets/tmpl/gimpcolorselect.sgml
	* libgimpwidgets/tmpl/gimpcolorselector.sgml: improved.

2003-02-22  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-docs.sgml: added some introductory words.

2003-02-19  Sven Neumann  <sven@gimp.org>

	* Makefile.am
	* structure.xml: started to work on a document that outlines the
	directory structure of the GIMP source tree.

2003-02-10  Sven Neumann  <sven@gimp.org>

	* parasites.txt: be more strict and require UTF-8 encoding for
	comments instead of only suggesting it.

2003-02-10  Sven Neumann  <sven@gimp.org>

	* libgimp/tmpl/gimpenums.sgml: regenerated.

2003-02-06  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-docs.sgml
	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimp.sgml: moved content of gimpmisc into gimp.sgml.

	* libgimp/tmpl/gimpmisc.sgml: removed.

2003-02-06  Sven Neumann  <sven@gimp.org>

	* Makefile.am
	* README.gtkdoc
	* libgimp*/Makefile.am	
	* libgimp*/libgimp-docs.sgml: changed to create DocBook XML
	instead of SGML.

	* libgimp*/version.xml.in: added new file used to include the GIMP
	version in the generated XML.
	
	* libgimpwidgets/tmpl/gimpdialog.sgml
	* libgimpwidgets/tmpl/gimpunitmenu.sgml
	* libgimpwidgets/tmpl/gimpwidgets.sgml: fixed broken syntax.

2003-02-06  Sven Neumann  <sven@gimp.org>

	* libgimpbase/tmpl/gimputils.sgml
	* libgimpmath/tmpl/gimpmd5.sgml
	* libgimpmodule/libgimpmodule-sections.txt
	* libgimpwidgets/libgimpwidgets-sections.txt: minor updates.

2003-02-05  Sven Neumann  <sven@gimp.org>

	* libgimpbase/libgimpbase-docs.sgml
	* libgimpbase/libgimpbase-sections.txt
	* libgimpbase/tmpl/gimputils.sgml: added new file.

2003-01-31  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/Makefile.am (HTML_IMAGES)
	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpstock.sgml: added new icons.

2003-01-10  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/Makefile.am
	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpstock.sgml: updated after changes to the
	stock icons.

2003-01-07  Michael Natterer  <mitch@gimp.org>

	* libgimp/tmpl/gimpcompat.sgml: removed.
	* libgimp/Makefile.am: ignore gimpcompat.h

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimp.sgml
	* libgimpbase/tmpl/gimpprotocol.sgml
	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimphelpui.sgml: updated after the
	gimp_help_*() changes.

2003-01-05  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/Makefile.am
	* libgimpwidgets/libgimpwidgets-docs.sgml
	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpstock.sgml: started to document the
	stock items.

2003-01-05  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/tmpl/gimpchainbutton.sgml
	* libgimpwidgets/tmpl/gimpcolorbutton.sgml
	* libgimpwidgets/tmpl/gimpfileselection.sgml
	* libgimpwidgets/tmpl/gimpmemsizeentry.sgml
	* libgimpwidgets/tmpl/gimpquerybox.sgml: regenerated.

2003-01-05  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-docs.sgml
	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/libgimpwidgets.types
	* libgimpwidgets/tmpl/gimpmemsizeentry.sgml
	* libgimpwidgets/tmpl/gimpwidgets.sgml: added a new file that
	documents GimpMemsizeEntry and changed the others accordingly.

2003-01-02  Michael Natterer  <mitch@gimp.org>

	* libgimpmodule/libgimpmodule-sections.txt
	* libgimpmodule/tmpl/gimpmodule.sgml
	* libgimpmodule/tmpl/gimpmoduledb.sgml: updated. Documented
	enums and structs. Fixes bug #5746.

2003-01-02  Michael Natterer  <mitch@gimp.org>

	* libgimpmodule/tmpl/gimpmodule.sgml: regenerated, removed
	some old cruft.

2002-12-18  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-sections.txt: removed the functions Nathan added
	since the Makefile explicitely excludes them and they shouldn't
	show up in the docs until the API has settled and they are moved
	out of gimpmisc.h.

	* libgimp/tmpl/gimpmisc.sgml: regenerated.

2002-12-17  Nathan Summers  <rock@gimp.org>

	* libgimp/libgimp-sections.txt: did some rearranging, added all
	unused functions (except for temporary ones)

	* libgimp/tmpl/gimp.sgml
	* libgimp/tmpl/gimpmenu.sgml
	* libgimp/tmpl/gimpmisc.sgml: regenerated.

2002-12-13  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-sections.txt
	* libgimp/tmp/gimpimage.sgml: updated for new PDB function.

2002-12-03  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpdisplay.sgml
	* libgimp/tmpl/gimplayer.sgml: updated after addition of two new
	PDB functions.

2002-12-03  Sven Neumann  <sven@gimp.org>

	* libgimp/tmpl/*.sgml: applied a patch from Akkana that adds short
	descriptions to all libgimp pages (#100187).

2002-12-03  Sven Neumann  <sven@gimp.org>

	* README.gtkdoc: updated.

2002-12-01  Sven Neumann  <sven@gimp.org>

	* libgimp/Makefile.am (IGNORE_HFILES): ignore gimpmiscui.h.

2002-11-24  Sven Neumann  <sven@gimp.org>

	* README
	* README.gtkdoc
	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpwidgets.sgml: updated.

2002-11-24  Sven Neumann  <sven@gimp.org>

	* parasites.txt: updated for removal of gserialize.[ch].

	* libgimp/Makefile.am: ignore gimpmisc.h when generating the
	libgimp API reference.

2002-11-21  Sven Neumann  <sven@gimp.org>

	* libgimpmath/libgimpmath-sections.txt
	* libgimpmath/tmpl/gimpmath.sgml: bye, bye G_MAXRAND.

2002-11-19  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimppatheditor.sgml: updated.

2002-11-07  Sven Neumann  <sven@gimp.org>

	* libgimp/Makefile.am
	* libgimpbase/Makefile.am
	* libgimpcolor/Makefile.am
	* libgimpmath/Makefile.am
	* libgimpmodule/Makefile.am
	* libgimpwidgets/Makefile.am: added uninstall hooks.

2002-11-06  Sven Neumann  <sven@gimp.org>

	* libgimpcolor/libgimpcolor-sections.txt
	* libgimpcolor/tmpl/gimpadaptivesupersample.sgml
	* libgimpcolor/tmpl/gimpbilinear.sgml
	* libgimpcolor/tmpl/gimpcolorspace.sgml
	* libgimpcolor/tmpl/gimphsv.sgml
	* libgimpcolor/tmpl/gimprgb.sgml
	* libgimpmath/libgimpmath-sections.txt
	* libgimpmath/tmpl/gimpmath.sgml
	* libgimpmath/tmpl/gimpmatrix.sgml
	* libgimpmath/tmpl/gimpvector.sgml
	* libgimpmodule/tmpl/gimpmodule.sgml
	* libgimpwidgets/libgimpwidgets-docs.sgml
	* libgimpwidgets/tmpl/gimpcolorscales.sgml
	* libgimpwidgets/tmpl/gimpcolorselect.sgml: some minor changes to
	make the docs more pleasant to look at.

2002-11-05  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/tmpl/gimppickbutton.sgml: added GimpPickButton.

	* libgimpwidgets/libgimpwidgets-docs.sgml
	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/libgimpwidgets.types
	* libgimpwidgets/tmpl/gimpcolornotebook.sgml
	* libgimpwidgets/tmpl/gimpcolorscales.sgml
	* libgimpwidgets/tmpl/gimpcolorselector.sgml
	* libgimpwidgets/tmpl/gimpstock.sgml: updated.

2002-11-01  Michael Natterer  <mitch@gimp.org>

	* libgimpcolor/tmpl/gimpcolorspace.sgml: updated.

2002-10-31  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpcolorscale.sgml
	* libgimpwidgets/tmpl/gimpwidgets.sgml: updated.

2002-10-30  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/tmpl/gimpcolorscale.sgml: added GimpColorScale.
	
	* libgimpwidgets/libgimpwidgets-docs.sgml
	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/libgimpwidgets.types
	* libgimpwidgets/tmpl/gimpcolorarea.sgml: updated.

2002-10-29  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/libgimpwidgets-docs.sgml
	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpcolornotebook.sgml: updated.

2002-10-28  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/tmpl/gimpcolorscales.sgml: added GimpColorScales.

	* libgimpwidgets/libgimpwidgets-docs.sgml
	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/libgimpwidgets.types
	* libgimpwidgets/tmpl/gimpcolorselect.sgml
	* libgimpwidgets/tmpl/gimpcolorselector.sgml; updated.

2002-10-28  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/tmpl/gimpcolornotebook.sgml: added GimpColorNotebook.

	* libgimpwidgets/libgimpwidgets-docs.sgml
	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/libgimpwidgets.types
	* libgimpwidgets/tmpl/gimpcolordisplay.sgml: updated.

2002-10-23  Sven Neumann  <sven@gimp.org>

	* libgimpmodule/libgimpmodule-sections.txt
	* libgimpmodule/tmpl/gimpmodule.sgml: added missing declarations.

2002-10-23  Michael Natterer  <mitch@gimp.org>

	* libgimpbase/libgimpbase-docs.sgml
	* libgimpbase/libgimpbase-sections.txt
	* libgimpbase/tmpl/gimpbasetypes.sgml
	* libgimpbase/tmpl/gimpdatafiles.sgml: added GimpDatafiles

	* libgimpmodule/libgimpmodule-docs.sgml
	* libgimpmodule/libgimpmodule-sections.txt
	* libgimpmodule/tmpl/gimpmoduledb.sgml: added GimpModuleDB.

	* libgimpwidgets/libgimpwidgets.types: added gimp_dialog_get_type

	* libgimpmodule/tmpl/gimpmodule.sgml
	* libgimpwidgets/tmpl/gimpcolordisplay.sgml
	* libgimpwidgets/tmpl/gimpdialog.sgml: updated.

2002-10-21  Michael Natterer  <mitch@gimp.org>

	* libgimpmodule/tmpl/gimpmoduletypes.sgml: removed because we
	don't document the *types.h files separately.

	* libgimpmodule/libgimpmodule-docs.sgml
	* libgimpmodule/libgimpmodule-sections.txt
	* libgimpmodule/tmpl/gimpmodule.sgml: updated.

2002-10-21  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpcolordisplay.sgml
	* libgimpwidgets/tmpl/gimpcolorselect.sgml
	* libgimpwidgets/tmpl/gimpcolorselector.sgml: updated.

2002-10-21  Michael Natterer  <mitch@gimp.org>

	* Makefile.am
	* libgimpmodule/.cvsignore
	* libgimpmodule/Makefile.am
	* libgimpmodule/libgimpmodule-docs.sgml
	* libgimpmodule/libgimpmodule-sections.txt
	* libgimpmodule/libgimpmodule.types
	* libgimpmodule/tmpl/.cvsignore
	* libgimpmodule/tmpl/gimpmodule.sgml
	* libgimpmodule/tmpl/gimpmoduletypes.sgml: added API docs for the
	new module loading lib.

	* libgimp/tmpl/gimpmodule.sgml: removed.

	* libgimp/libgimp-docs.sgml
	* libgimp/libgimp-sections.txt: changed accordingly.

	* libgimpwidgets/tmpl/gimpcolordisplay.sgml
	* libgimpwidgets/tmpl/gimpcolorselect.sgml
	* libgimpwidgets/tmpl/gimpcolorselector.sgml: updated.

2002-10-20  Michael Natterer  <mitch@gimp.org>

	* libgimp/tmpl/gimpcolordisplay.sgml
	* libgimp/tmpl/gimpcolorselector.sgml: removed

	* libgimpwidgets/tmpl/gimpcolordisplay.sgml
	* libgimpwidgets/tmpl/gimpcolorselect.sgml
	* libgimpwidgets/tmpl/gimpcolorselector.sgml: added

	* libgimp/libgimp-docs.sgml
	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpmodule.sgml
	* libgimpwidgets/libgimpwidgets-docs.sgml
	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/libgimpwidgets.types: updated.

2002-10-13  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpstock.sgml: updated for more new icons.

2002-10-09  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpstock.sgml: updated.

2002-10-08  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpstock.sgml
	* libgimpwidgets/tmpl/gimpwidgets.sgml: updated.

2002-05-30  Sven Neumann  <sven@gimp.org>

	* libgimp/tmpl/gimpmodule.sgml: fixed template.

2002-05-29  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpstock.sgml
	* libgimpwidgets/tmpl/gimpwidgets.sgml: updated.

2002-05-16  Michael Natterer  <mitch@gimp.org>

	* libgimpbase/tmpl/gimpprotocol.sgml
	* libgimpbase/tmpl/gimpwire.sgml: regenerated after API change.

2002-05-14  Sven Neumann  <sven@gimp.org>

	* libgimpmath/libgimpmath-sections.txt
	* libgimpmath/tmpl/gimpmath.sgml: removed FINITE.

2002-05-13  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/tmpl/gimpdialog.sgml
	* libgimpwidgets/tmpl/gimphelpui.sgml
	* libgimpwidgets/tmpl/gimpquerybox.sgml
	* libgimpwidgets/tmpl/gimpstock.sgml
	* libgimpwidgets/tmpl/gimpwidgets.sgml: some small updates.

2002-05-13  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-docs.sgml
	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpimage.sgml: updated.

2002-05-13  Sven Neumann  <sven@gimp.org>

	* libgimpbase/Makefile.am: ignore gimpbase.h.

	* libgimpbase/libgimpbase-docs.sgml: removed GimpBase and GimpUtils
	sections, added GimpProtocol.

	* libgimpbase/libgimpbase-sections.txt: updated.

	* libgimpbase/tmpl/gimpbase.sgml
	* libgimpbase/tmpl/gimputils.sgml: removed.

	* libgimpbase/tmpl/gimpbasetypes.sgml
	* libgimpbase/tmpl/gimpenv.sgml
	* libgimpbase/tmpl/gimpparasite.sgml
	* libgimpbase/tmpl/gimpprotocol.sgml
	* libgimpbase/tmpl/gimpunit.sgml: updated.

2002-05-13  Sven Neumann  <sven@gimp.org>

	* libgimpcolor/Makefile.am: ignore gimpcolor.h.

	* libgimpcolor/libgimpcolor-docs.sgml: removed GimpColorTypes and
	GimpColor sections.

	* libgimpcolor/libgimpcolor-sections.txt: updated.

	* libgimpcolor/tmpl/gimpcolor.sgml
	* libgimpcolor/tmpl/gimpcolortypes.sgml: removed.

	* libgimpcolor/tmpl/gimpadaptivesupersample.sgml
	* libgimpcolor/tmpl/gimphsv.sgml
	* libgimpcolor/tmpl/gimprgb.sgml: updated.

2002-05-13  Sven Neumann  <sven@gimp.org>

	* libgimpmath/libgimpmath-docs.sgml: added GimpMD5 section, removed
	GimpMathTypes.

	* libgimpmath/libgimpmath-sections.txt: updated.

	* libgimpmath/tmpl/gimpmathtypes.sgml: removed.

	* libgimpmath/tmpl/gimpmd5.sgml: added GimpMD5 template.

	* libgimpmath/tmpl/gimpmatrix.sgml
	* libgimpmath/tmpl/gimpvector.sgml: updated.

2002-05-13  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/libgimpwidgets-docs.sgml: added GimpStock section,
	removed GimpWidgetTypes.

	* libgimpwidgets/libgimpwidgets-sections.txt: updated.

	* libgimpwidgets/tmpl/gimpstock.sgml: added GimpStock template.

	* libgimpwidgets/tmpl/gimpwidgetstypes.sgml: removed.

	* libgimpwidgets/tmpl/gimpbutton.sgml
	* libgimpwidgets/tmpl/gimpchainbutton.sgml
	* libgimpwidgets/tmpl/gimpcolorarea.sgml
	* libgimpwidgets/tmpl/gimpcolorbutton.sgml
	* libgimpwidgets/tmpl/gimpdialog.sgml
	* libgimpwidgets/tmpl/gimpfileselection.sgml
	* libgimpwidgets/tmpl/gimphelpui.sgml
	* libgimpwidgets/tmpl/gimpoffsetarea.sgml
	* libgimpwidgets/tmpl/gimppatheditor.sgml
	* libgimpwidgets/tmpl/gimppixmap.sgml
	* libgimpwidgets/tmpl/gimpquerybox.sgml
	* libgimpwidgets/tmpl/gimpsizeentry.sgml
	* libgimpwidgets/tmpl/gimpunitmenu.sgml
	* libgimpwidgets/tmpl/gimpwidgets.sgml: updated.

2002-05-03  Sven Neumann  <sven@gimp.org>

	* includes.txt: fixed typo.

2002-03-13  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-sections.txt: reflect the current set of libgimp
	files and functions.

	* libgimp/tmpl/gimpcompat.sgml
	* libgimp/tmpl/gimppalettes.sgml: new files.

	* libgimp/tmpl/gimpbrushes.sgml
	* libgimp/tmpl/gimpcolorselector.sgml
	* libgimp/tmpl/gimpenums.sgml
	* libgimp/tmpl/gimpgimprc.sgml
	* libgimp/tmpl/gimpgradients.sgml
	* libgimp/tmpl/gimpimage.sgml
	* libgimp/tmpl/gimppatterns.sgml: regenerated.

2002-03-12  Michael Natterer  <mitch@gimp.org>

	* libgimp/tmpl/gimpgradients.sgml
	* libgimp/tmpl/gimppalette.sgml: regenerated after pdb cleanup.

2002-03-08  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/tmpl/gimpwidgets.sgml: merged doc fix.

2002-03-08  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/Makefile.am
	* libgimpwidgets/libgimpwidgets.types: build fixes.

2002-03-08  Sven Neumann  <sven@gimp.org>

	Revival of the API reference for GIMP-1.3. Needs more tweaking ...
	
	* libgimp/Makefile.am
	* libgimp/libgimp.types
	* libgimpbase/Makefile.am
	* libgimpbase/libgimpbase.types
	* libgimpcolor/Makefile.am
	* libgimpcolor/libgimpcolor.types
	* libgimpmath/Makefile.am
	* libgimpmath/libgimpmath.types
	* libgimpwidgets/Makefile.am
	* libgimpwidgets/libgimpwidgets.types: updated.

	* libgimpbase/libgimp-include.c
	* libgimp/libgimp-decl.txt
	* libgimp/libgimp.args
	* libgimp/libgimp.hierarchy
	* libgimp/libgimp.signals: removed from CVS.

	* libgimpbase/libgimpbase-include.c
	* libgimpbase/libgimpbase-decl.txt
	* libgimpbase/libgimpbase.args
	* libgimpbase/libgimpbase.hierarchy
	* libgimpbase/libgimpbase.signals: removed from CVS.

	* libgimpcolor/libgimpcolor-include.c
	* libgimpcolor/libgimpcolor-decl.txt
	* libgimpcolor/libgimpcolor.args
	* libgimpcolor/libgimpcolor.hierarchy
	* libgimpcolor/libgimpcolor.signals: removed from CVS.
	
	* libgimpmath/libgimpmath-include.c
	* libgimpmath/libgimpmath-decl.txt
	* libgimpmath/libgimpmath.args
	* libgimpmath/libgimpmath.hierarchy
	* libgimpmath/libgimpmath.signals: removed from CVS.

	* libgimpwidgets/libgimpwidgets-decl.txt
	* libgimpwidgets/libgimpwidgets.args
	* libgimpwidgets/libgimpwidgets.hierarchy
	* libgimpwidgets/libgimpwidgets.signals: removed from CVS.

	* libgimp/tmpl/gimp.sgml
	* libgimp/tmpl/gimpcolorselector.sgml
	* libgimp/tmpl/gimpdrawable.sgml
	* libgimp/tmpl/gimpenums.sgml
	* libgimp/tmpl/gimpgradients.sgml
	* libgimp/tmpl/gimpmenu.sgml
	* libgimp/tmpl/gimptools.sgml
	* libgimpbase/tmpl/gimpprotocol.sgml
	* libgimpbase/tmpl/gimputils.sgml
	* libgimpmath/tmpl/gimpmath.sgml
	* libgimpmathwidgets/tmpl/gimpchainbutton.sgml
	* libgimpmathwidgets/tmpl/gimpcolorbutton.sgml
	* libgimpmathwidgets/tmpl/gimpdialog.sgml
	* libgimpmathwidgets/tmpl/gimphelpui.sgml
	* libgimpmathwidgets/tmpl/gimpquerybox.sgml
	* libgimpmathwidgets/tmpl/gimpsizeentry.sgml
	* libgimpmathwidgets/tmpl/gimpwidgets.sgml
	* libgimpmathwidgets/tmpl/gimpwidgetstypes.sgml: regenerated.
	
2001-06-08  Michael Natterer  <mitch@gimp.org>

	* Makefile.am
	* pdb/*: removed as we use gtk-doc now.

	* README: updated.

2001-06-08  Michael Natterer  <mitch@gimp.org>

	* pdb/Makefile.am: fixed location of the *_cmds.c files.

2001-05-30  Michael Natterer  <mitch@gimp.org>

	* libgimpmath/libgimpmath-docs.sgml: s/libgimpcolor/libgimpmath/.

2001-05-25  Michael Natterer  <mitch@gimp.org>

	* Makefile.am
	* libgimpbase/*: new gtk-doc module for the new library.

	* libgimp/*: removed the files which belong to libgimpbase, updates.

	* libgimpmath/libgimpmath-decl.txt
	* libgimpmath/libgimpmath.hierarchy
	* libgimpwidgets/libgimpwidgets-decl.txt
	* libgimpwidgets/libgimpwidgets-sections.txt
	* libgimpwidgets/libgimpwidgets.hierarchy
	* libgimpwidgets/tmpl/gimpbutton.sgml
	* libgimpwidgets/tmpl/gimpoffsetarea.sgml
	* libgimpwidgets/tmpl/gimpwidgetstypes.sgml: updated.

2000-12-21  Sven Neumann  <sven@gimp.org>

	* Makefile.am
	* pdb/Makefile.am: do not include built texinfo into the distribution.
	The build process is broken and obsoleted anyway by the SGML docs we
	have in libgimp. If you want to generate the info, try to use the
	"pdb_dump.texi" target. This change makes 'make dist' work again 
	(despite the fact that it fails later in plug-ins/perl ...).

2000-11-19  Michael Natterer  <mitch@gimp.org>

	* libgimp/Makefile.am
	* libgimp/libgimp.types: #include libgimp-include.c in libgimp.types
	instead of passing it on the command line in Makefile.am

	* libgimp/libgimp-decl.txt: updated.

2000-11-08  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-decl.txt: updated

2000-10-16  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-decl.txt
	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpfeatures.sgml: updated

2000-10-14  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-decl.txt
	* libgimp/libgimp-sections.txt
	* libgimp/libgimp.signals
	* libgimp/tmpl/gimpenv.sgml
	* libgimp/tmpl/gimpchainbutton.sgml: updated

2000-08-25  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-decl.txt
	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpfileops.sgml
	* libgimp/tmpl/gimpselection.sgml: updated

2000-08-24  Sven Neumann  <sven@gimp.org>

	* libgimp/*: updated after libgimp API cleanup, moved all
	compatibility definitions into gimpcompat.sgml.

2000-07-29  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-decl.txt
	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimp.sgml
	* libgimp/tmpl/gimpdrawable.sgml
	* libgimp/tmpl/gimpenums.sgml
	* libgimp/tmpl/gimpimage.sgml
	* libgimp/tmpl/gimplayer.sgml: updated from the libgimp sources.

2000-06-24  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-decl.txt
	* libgimp/libgimp-docs.sgml: add gimppatterns which I've 
	forgotten last time

	* libgimp/tmpl/gimppaths.sgml
	* libgimp/tmpl/gimpselection.sgml: updated to reflect latest
	changes to libgimp
	
2000-06-09  Sven Neumann  <sven@gimp.org>

        moved various files from the docs directory
	over here

2000-06-09  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp/libgimp-decl.txt
	* libgimp/libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimp.sgml
	* libgimp/tmpl/gimpchannel.sgml
	* libgimp/tmpl/gimpdrawable.sgml
	* libgimp/tmpl/gimpimage.sgml
	* libgimp/tmpl/gimplayer.sgml: relocated defines as happened to
	reflect changes in libgimp

2000-06-08  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-decl.txt 
	* libgimp/libgimp-docs.sgml
	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimp.sgml
	* libgimp/tmpl/gimpcompat.sgml
	* libgimp/tmpl/gimpmenu.sgml
	* libgimp/tmpl/gimpparasite.sgml
	* libgimp/tmpl/libgimp-unused.sgml: reflect recent 
	changes in libgimp
	
	* libgimp/tmpl/gimpbrushes.sgml
	* libgimp/tmpl/gimpchannel.sgml
	* libgimp/tmpl/gimpchannelops.sgml
	* libgimp/tmpl/gimpcolor.sgml
	* libgimp/tmpl/gimpconvert.sgml
	* libgimp/tmpl/gimpdisplay.sgml
	* libgimp/tmpl/gimpdrawable.sgml
	* libgimp/tmpl/gimpedit.sgml
	* libgimp/tmpl/gimpfileops.sgml
	* libgimp/tmpl/gimpfloatingsel.sgml
	* libgimp/tmpl/gimpgimprc.sgml
	* libgimp/tmpl/gimpgradients.sgml
	* libgimp/tmpl/gimpguides.sgml
	* libgimp/tmpl/gimphelp.sgml
	* libgimp/tmpl/gimpimage.sgml
	* libgimp/tmpl/gimplayer.sgml
	* libgimp/tmpl/gimpmessage.sgml
	* libgimp/tmpl/gimpmisc.sgml
	* libgimp/tmpl/gimppalette.sgml
	* libgimp/tmpl/gimpparasite.sgml.sgml
	* libgimp/tmpl/gimppaths.sgml
	* libgimp/tmpl/gimppatterns.sgml
	* libgimp/tmpl/gimppixelrgn.sgml
	* libgimp/tmpl/gimpplugin.sgml
	* libgimp/tmpl/gimpproceduraldb.sgml
	* libgimp/tmpl/gimpselection.sgml
	* libgimp/tmpl/gimptexttool.sgml
	* libgimp/tmpl/gimptile.sgml
	* libgimp/tmpl/gimptools.sgml
	* libgimp/tmpl/gimpundo.sgml: new files

2000-05-28  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-decl.txt
	* libgimp/libgimp-docs.sgml
	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimp.sgml
	* libgimp/tmpl/gimpcolorbutton.sgml
	* libgimp/tmpl/gimpcolordisplay.sgml
	* libgimp/tmpl/gimpcolorselector.sgml
	* libgimp/tmpl/gimpcolorspace.sgml
	* libgimp/tmpl/gimpcompat.sgml
	* libgimp/tmpl/gimpenums.sgml
	* libgimp/tmpl/gimpfeatures.sgml
	* libgimp/tmpl/gimplimits.sgml
	* libgimp/tmpl/gimpmath.sgml
	* libgimp/tmpl/gimpmodule.sgml
	* libgimp/tmpl/gimpparasite.sgml
	* libgimp/tmpl/gimpparasiteio.sgml
	* libgimp/tmpl/gimppixmap.sgml
	* libgimp/tmpl/gimpprotocol.sgml
	* libgimp/tmpl/gimpsignal.sgml
	* libgimp/tmpl/gimpui.sgml
	* libgimp/tmpl/gimpunit.sgml
	* libgimp/tmpl/gimputils.sgml
	* libgimp/tmpl/gimpvector.sgml
	* libgimp/tmpl/gimpwire.sgml
	* libgimp/tmpl/libgimp-unused.sgml: Moved the module documentation
	from the libgimp headers here, updates, cleanups.

2000-05-27  Michael Natterer  <mitch@gimp.org>

	* libgimp/*: lotsa files removed/added/changed to reflect the
	recent libgimp changes.

2000-05-01  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-decl.txt
	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimp.sgml
	* libgimp/tmpl/gimpsignal.sgml
	* libgimp/tmpl/gimpui.sgml
	* libgimp/tmpl/libgimp-unused.sgml: updated.

2000-04-23  Sven Neumann  <sven@gimp.org>

        * libgimp/tmpl/gimpsignal.sgml: new file

	* libgimp/libgimp-decl.txt
	* libgimp/libgimp-docs.sgml
	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpmath.sgml
	* libgimp/tmpl/gimpui.sgml
	* libgimp/tmpl/libgimp-unused.sgml: updated
	
2000-03-26  Sven Neumann  <sven@gimp.org>

	* [lotsa files]: looks like newer versions of gtk-doc
	give different template files. The output looks better 
	IMHO and Mitch wanted to switch to Debian anyway...

2000-03-14  Sven Neumann  <sven@gimp.org>

	* libgimp/libgimp-decl.txt
	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpwidgets.sgml: updates

Sun Mar 12 01:08:13 CET 2000  Sven Neumann <sven@gimp.org>

	* libgimp/libgimp-decl.txt
	* libgimp/libgimp-docs.sgml
	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimputils.sgml: new file

Fri Mar 10 11:36:45 CET 2000  Sven Neumann <sven@gimp.org>

	* libgimp/Makefile.am: fixed bug #7139

2000-03-06  Michael Natterer  <mitch@gimp.org>

	* libgimp-decl.txt
	* tmpl/gimpwidgets.sgml: updated.

2000-02-27  Michael Natterer  <mitch@gimp.org>

	* libgimp/tmpl/gimpdialog.sgml
	* libgimp/tmpl/gimphelpui.sgml: updated.

2000-02-26  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-decl.txt
	* libgimp/libgimp-docs.sgml
	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimp.sgml
	* libgimp/tmpl/gimpdialog.sgml
	* libgimp/tmpl/gimphelpui.sgml
	* libgimp/tmpl/gimpunit.sgml
	* libgimp/tmpl/gimpwidgets.sgml: updated.

Fri Feb 25 19:47:35 CET 2000  Sven Neumann <sven@gimp.org>

	* libgimp/Makefile.am
	* libgimp-docs.sgml: cleaned up the Makefile, got rid of the
	sed < book1.html > index.html  hack

2000-02-23  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-decl.txt
	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpenv.sgml
	* libgimp/tmpl/gimppixmap.sgml
	* libgimp/tmpl/gimpwidgets.sgml: various updates and documentation
	for all gimpwidgets.[ch] functions. 

Mon Feb 21 11:55:18 CET 2000  Sven Neumann <sven@gimp.org>

	* libgimp/libgimp-decl.txt
	* libgimp/tmpl/gimpwidgets.sgml: updated

2000-02-18  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-decl.txt
	* libgimp/tmpl/gimpmatrix.sgml
	* libgimp/tmpl/gimpvector.sgml
	* libgimp/tmpl/libgimp-unused.sgml: updates and cleanups.

2000-02-18  Michael Natterer  <mitch@gimp.org>

	* libgimp/Makefile.am
	* libgimp/tmpl/gimpvector.sgml
	* libgimp/tmpl/gimppixmap.sgml: new files.

	* libgimp/libgimp-decl.txt
	* libgimp/libgimp-docs.sgml
	* libgimp/libgimp-sections.txt
	* libgimp/libgimp.hierarchy
	* libgimp/libgimp.types
	* libgimp/tmpl/gimpchainbutton.sgml
	* libgimp/tmpl/gimpcolorbutton.sgml
	* libgimp/tmpl/gimpdialog.sgml
	* libgimp/tmpl/gimpfileselection.sgml
	* libgimp/tmpl/gimphelpui.sgml
	* libgimp/tmpl/gimpmath.sgml
	* libgimp/tmpl/gimpmatrix.sgml
	* libgimp/tmpl/gimpmenu.sgml
	* libgimp/tmpl/gimppatheditor.sgml
	* libgimp/tmpl/gimpsizeentry.sgml
	* libgimp/tmpl/gimpunitmenu.sgml
	* libgimp/tmpl/gimpwidgets.sgml
	* libgimp/tmpl/libgimp-unused.sgml: various minor updates. Added
	short descriptions for all libgimpui sections.

Mon Feb 14 16:41:31 CET 2000  Sven Neumann <sven@gimp.org>

	* libgimp/Makefile.am: there was a slash missing in EXTRA_DIST
	
	* libgimp/tmpl/gserialize.sgml: removed gserialize documentation

	* libgimp/libgimp-decl.txt
	* libgimp/libgimp-docs.sgml
	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpwidgets.sgml
	* libgimp/tmpl/libgimp-unused.sgml: updates

2000-02-12  Michael Natterer  <mitch@gimp.org>

	* libgimp/Makefile.am
	* libgimp/tmpl/gimpquerybox.sgml: new file.

	* libgimp/libgimp-decl.txt
	* libgimp/libgimp-docs.sgml
	* libgimp/libgimp-sections.txt: updated from the libgimp sources.

Sat Feb 12 03:14:38 CET 2000  Sven Neumann <sven@gimp.org>

	* libgimp/tmpl/gimpchainbutton.sgml: documented
	GimpChainButton

2000-02-08  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-decl.txt
	* libgimp/tmpl/gimpexport.sgml
	* libgimp/tmpl/gimpfileselection.sgml
	* libgimp/tmpl/gimppatheditor.sgml: updated from the libgimp
	sources. Added some more documentation to the sgml templates.

Tue Feb  8 00:51:54 CET 2000  Sven Neumann <sven@gimp.org>

	* libgimp/gimpexport.sgml: documented the enums
	
2000-02-07  Michael Natterer  <mitch@gimp.org>

	* libgimp/libgimp-decl.txt
	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpcolorbutton.sgml
	* libgimp/tmpl/gimpfileselection.sgml
	* libgimp/tmpl/gimphelpui.sgml
	* libgimp/tmpl/gimppatheditor.sgml
	* libgimp/tmpl/gimpsizeentry.sgml
	* libgimp/tmpl/gimpunit.sgml
	* libgimp/tmpl/gimpunitmenu.sgml
	* libgimp/tmpl/libgimp-unused.sgml: updated from the libgimp
	sources. Added some more documentation to the sgml templates.

Mon Feb  7 14:47:04 CET 2000  Sven Neumann <sven@gimp.org>

	* README: add a link to "DocBook: The Definitive Guide"

Sun Feb  7 00:14:26 CET 2000  Sven Neumann <sven@gimp.org>

	* libgimp/libgimp-decl.txt
	* libgimp/tmpl/gimpenv.sgml: documented gimpenv
	* libgimp/tmpl/gimpmatrix.sgml: documented gimpmatrix

	* libgimp/tmpl/gimpcolorspace.sgml
	* libgimp/tmpl/gimpmenu.sgml: cleanup

Sun Feb  6 22:15:20 CET 2000  Sven Neumann <sven@gimp.org>

	* libgimp/.cvsignore
	* libgimp/libgimp-decl.txt
	* libgimp/libgimp-sections.txt
	* libgimp/tmpl/gimpexport.sgml: updated gimpexport documentation

2000-02-05  Michael Natterer  <mitch@gimp.org>

	* libgimp/Makefile.am: correctly quote shell commands.

	* libgimp/libgimp-docs.sgml: added two new chapters:
	"GIMP Constants and Limits" and "GIMP Module Headers".

	* libgimp/libgimp-decl.txt
	* libgimp/tmpl/gimpcolorspace.sgml: updated from the c-source.

Sat Feb  5 17:48:41 CET 2000  Sven Neumann <sven@gimp.org>

	* libgimp/libgimp-decl.txt
	* libgimp/tmpl/gimpexport.sgml: documented gimpexport

Sat Feb  5 16:22:21 CET 2000  Sven Neumann <sven@gimp.org>

	* README: more help

	* libgimp/.cvsignore
	* libgimp/libgimp-decl.txt
	* libgimp/tmpl/gimpwidgets.sgml: updated after changes to libgimp

Fre Feb  4 16:18:39 CET 2000  Sven Neumann <sven@gimp.org>

	* libgimp/Makefile.am: I'm still tweaking it a bit...
	* README: Filled in the HOWTO section.

Fre Feb  4 13:59:25 CET 2000  Sven Neumann <sven@gimp.org>

	* libgimp/.cvsignore
	* libgimp/Makefile.am: fiddled with the installation
	* libgimp/libgimp-decl-list.txt: removed
	* libgimp/libgimp-decl.txt: rebuild

Fri Feb  4 01:27:41 CET 2000  Sven Neumann <sven@gimp.org>

	* libgimp/tmpl/gimpcolorbutton.sgml: documented GimpColorButton
	to give you an example.

Fri Feb  4 00:40:47 CET 2000  Sven Neumann <sven@gimp.org>

	Set up the framework for the libgimp documenation.
	
	All the information so far is purely autogenerated. We will
	want to resort the chapters, add short explanations and of
	course, most importantly, add comment blocks into the source.

